Subject: Re: bug#48399: 27.2; term-mode: After splitting window, newlines are inserted

From: Robert Pluim <[email-masked]>
Date: Mon, 11 Jul 2022 16:57:44 +0200

>>>>> On Mon, 11 Jul 2022 16:42:01 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Khoa Vo <[email-masked]> writes:
    >> Note: I have repoduced this bug even without a configuration file.
    >> 
    >> Steps:
    >> - Enter term-mode.
    >> - Enter term-line-mode.
    >> - Type a command one line below the prompt, but don't hit "enter" yet.
    >> - Issue command "M-x split-window-right".
    >> - You can see the problem: one or more new lines are inserted after the prompt.
    >> Pushing the command further down.

    Lars> (I'm going through old bug reports that unfortunately weren't resolved
    Lars> at the time.)

    Lars> I'm not sure I understand the problem.  If by "Enter term-mode" you mean
    Lars> `M-x term RET RET', then commands like `M-x split-window-right' aren't
    Lars> available, so perhaps you mean something else?

    Lars> Can you give a step-by-step recipe to reproduce the problem, starting
    Lars> from "emacs -Q"?

M-x term
C-c C-j
C-n
ls C-x 3

reproduces for me (you can run any normal Emacs command when youʼre in term-line-mode)

Robert
--